Bug 20631 - patch 155 for kernel 2.2.16-22 breaks arch settings
patch 155 for kernel 2.2.16-22 breaks arch settings
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-10 00:07 EST by Sean Dilda
Modified: 2007-04-18 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-14 22:29:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sean Dilda 2000-11-10 00:07:15 EST
patch 155 (linux-2.2.16-rhconfig.patch) breaks the way the arch is
determined.  I modifies the make *config for the kernel so that instead of
looking at the build arch to determine which config file to use for the
kernel build, it looks at your current system type.  This means that if I'm
on a 686 box and do a 'rpm --target=i586 --rebuild
kernel-2.2.16-22.src.rpm' it will build an rpm that is labelled as being
i585, however the actual kernel compile will make a 686 kernel, resulting
in a mislabeled rpm.
Commenting out the line where this patch is applied in the spec file seems
to solve the problem.

Note You need to log in before you can comment on or make changes to this bug.